Package org.postgresql.ssl

# Class LibPQFactory

java.lang.Object
javax.net.SocketFactory
javax.net.ssl.SSLSocketFactory
org.postgresql.ssl.WrappedFactory
org.postgresql.ssl.LibPQFactory

Direct Known Subclasses:
  `LibPQFactory`

public class LibPQFactory extends WrappedFactory
Provide an SSLSocketFactory that is compatible with the libpq behaviour.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LibPQFactory.ConsoleCallbackHandler`
  A CallbackHandler that reads the password from the console or returns the password given to its constructor.

- ## Field Summary

  ### Fields inherited from class org.postgresql.ssl.WrappedFactory

  `factory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LibPQFactory(Properties info)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `throwKeyManagerException()`
  Propagates any exception from `LazyKeyManager`.

  ### Methods inherited from class org.postgresql.ssl.WrappedFactory

  `createSocket, createSocket, createSocket, createSocket, createSocket, getDefaultCipherSuites, getSupportedCipherSuites`

  ### Methods inherited from class javax.net.ssl.SSLSocketFactory

  `createSocket, getDefault`

  ### Methods inherited from class javax.net.SocketFactory

  `createSocket`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LibPQFactory

    public LibPQFactory(Properties info) throws PSQLException
    Parameters:
      `info` - the connection parameters The following parameters are used: sslmode,sslcert,sslkey,sslrootcert,sslhostnameverifier,sslpasswordcallback,sslpassword
    Throws:
      `PSQLException` - if security error appears when initializing factory

- ## Method Details

  - ### throwKeyManagerException

    public void throwKeyManagerException() throws PSQLException
    Propagates any exception from `LazyKeyManager`.
    Throws:
      `PSQLException` - if there is an exception to propagate